Update a credit limit policy
curl --request PATCH \
--url https://api.notion.com/admin/v1/spaces/{space_id}/credit_limit_policies/{policy_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Notion-Version: <notion-version>' \
--data '
{
"amount": 5000000,
"expires_at": 123
}
'import requests
url = "https://api.notion.com/admin/v1/spaces/{space_id}/credit_limit_policies/{policy_id}"
payload = {
"amount": 5000000,
"expires_at": 123
}
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Notion-Version': '<notion-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: 5000000, expires_at: 123})
};
fetch('https://api.notion.com/admin/v1/spaces/{space_id}/credit_limit_policies/{policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policy": {
"amount": 123,
"created_at": 123,
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_table": "notion_user",
"credit_type_unit": "basic_ai_credits",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"selector": {
"type": "all_space_members"
},
"space_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": 123
}
}{
"object": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}{
"object": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}{
"object": "error",
"code": "restricted_resource",
"status": 403,
"message": "Forbidden."
}{
"object": "error",
"code": "object_not_found",
"status": 404,
"message": "Not found."
}{
"object": "error",
"code": "conflict_error",
"status": 409,
"message": "The request conflicts with the current resource state."
}{
"object": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}{
"object": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}{
"object": "error",
"code": "service_unavailable",
"status": 503,
"message": "Service temporarily unavailable."
}Credit limit policies
Update a credit limit policy
Update a credit limit policy.
PATCH
/
v1
/
spaces
/
{space_id}
/
credit_limit_policies
/
{policy_id}
Update a credit limit policy
The organization bot token must have the following scopes:
credit-limit-policy:write
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Admin API version to use for this request.
Available options:
2026-06-01 Path Parameters
The current policy version ID. A successful update returns a new policy ID.
Body
application/json
Response
Show child attributes
Show child attributes